## org.gnu.gdk
Class WindowClass

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.WindowClass

public class WindowClass
extends Enum

Field Summary
`static WindowClass` `INPUT_ONLY`
`static WindowClass` `INPUT_OUTPUT`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`WindowClass` `and(WindowClass other)`
`static WindowClass` `intern(int value)`
`WindowClass` `or(WindowClass other)`
`boolean` `test(WindowClass other)`
`WindowClass` `xor(WindowClass other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INPUT_OUTPUT

    public static final WindowClass INPUT_OUTPUT

### INPUT_ONLY

    public static final WindowClass INPUT_ONLY

Method Detail

### intern

    public static WindowClass intern(int value)

### or

    public WindowClass or(WindowClass other)

### and

    public WindowClass and(WindowClass other)

### xor

    public WindowClass xor(WindowClass other)

### test

    public boolean test(WindowClass other)